target: Makefile libsampclass.dl

libsampclass.dl: Makefile sampclass.o sampclass_chdl.o 
	ch dllink libsampclass.dl cplusplus sampclass.o sampclass_chdl.o

sampclass.o: sampclass.cpp
	ch dlcomp libsampclass.dl cplusplus sampclass.cpp

sampclass_chdl.o: sampclass_chdl.cpp
	ch dlcomp libsampclass.dl cplusplus sampclass_chdl.cpp

clean:
	rm -f *.o *.dl *.exp *.lib

